package Debug;
#===========================================================
# デバッグライブラリ
#===========================================================
use utf8;
use strict;
use warnings;
use Encode qw( encode decode );
	$Data::Dumper::Sortkeys = 1;			# ハッシュのキーをソートする
#	$Data::Dumper::Indent = 1;				# インデントを縮める
#	$Data::Dumper::Terse = 1;				# $VAR数字要らない

#==================================================
# ■ 呼び出し元の情報を返す
# r = _caller();
#==================================================
sub _caller {
	my $self = shift;
	return sprintf("%s:%s", $_[0], $_[1]) if ( $#_ == 1 );
	return sprintf("pkg=( %s ), src=( %s:%s )", $_[0], $_[1], $_[2]) if ( $#_ == 2 );
}

#==================================================
# ■ 文字列のダンプ
# dump( data )
#==================================================
sub dump {
	my $self = shift;
	my $data = shift;
	my @datas = split('', $data);

	print map { sprintf "| {%-2s} - [%s]\n", sprintf("%02x", ord($_)), $_ } @datas;
	}

#================================================================
=pod

=encoding utf8

=head1 スクリプト名

Debug.pm - デバッグライブラリ

=head1 著者

naoit0 <https://www.naoit0.com/>

=cut
1;